Yönlendirme kuralı oluştur
curl --request POST \
--url https://vpos-sandbox.payven.com.tr/api/v1/routing-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"extra_properties_dict": {},
"name": "<string>",
"priority": 123,
"card_bin": "<string>",
"card_bin_end": "<string>",
"installment_count": 123,
"min_amount": 123,
"max_amount": 123,
"target_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"weight": 123,
"success_rate": 123,
"average_response_time_ms": 123,
"cost_score": 123,
"daily_transaction_limit": 123,
"currency": "<string>"
}
'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/routing-rules"
payload = {
"extra_properties_dict": {},
"name": "<string>",
"priority": 123,
"card_bin": "<string>",
"card_bin_end": "<string>",
"installment_count": 123,
"min_amount": 123,
"max_amount": 123,
"target_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"weight": 123,
"success_rate": 123,
"average_response_time_ms": 123,
"cost_score": 123,
"daily_transaction_limit": 123,
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
extra_properties_dict: {},
name: '<string>',
priority: 123,
card_bin: '<string>',
card_bin_end: '<string>',
installment_count: 123,
min_amount: 123,
max_amount: 123,
target_connector_config_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fallback_connector_config_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
weight: 123,
success_rate: 123,
average_response_time_ms: 123,
cost_score: 123,
daily_transaction_limit: 123,
currency: '<string>'
})
};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/routing-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"3c90c3cc-0d44-4b50-8888-8dd25736052a"{
"type": "https://docs.payven.com.tr/errors/bad_request",
"title": "Geçersiz istek",
"status": 400,
"code": "bad_request",
"detail": "amount.amount alanı zorunlu.",
"correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}RoutingRules
Yönlendirme kuralı oluştur
POST
/
api
/
v1
/
routing-rules
Yönlendirme kuralı oluştur
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Headers
Body
application/json
Show child attributes
Show child attributes
Available options:
Bonus, Axess, World, Maximum, Cardfinans, Paraf, Advantage, Bankkart, Other Available options:
Credit, Debit, Prepaid Response
Created
The response is of type string<uuid>.
⌘I